%define tarname    shiboken
%define pyver_mod2 %(python3 -c "import sys; sys.stdout.write(sys.version[:3].replace('.','')+sys.abiflags)")
%define pyname     Shiboken

Name:           shiboken
Version:        1.2.2
Release:        %mkrel 1
License:        GPLv2
Summary:        Creates the PySide bindings source files
Group:          Development/KDE and Qt
URL:            http://www.pyside.org
Source0:        http://download.qt-project.org/official_releases/pyside/%{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  qt4-devel
BuildRequires:  python-devel
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(libxml-2.0)
Obsoletes:      generatorrunner < 0.6.17

%description
The Shiboken Generator (A.K.A. shiboken) is the plugin that creates the
PySide bindings source files from Qt headers and auxiliary files
(typesystems, global.h and glue files).

%files
%{_bindir}/%{name}
%{python_sitearch}/%{name}.so
%{_mandir}/man1/%{name}.1.bz2

#------------------------------------------------------------------------------

%package -n python3-%{tarname}
Summary:        Creates the PySide bindings source files
Group:          Development/KDE and Qt
BuildRequires:  python3-devel

%description -n python3-%{tarname}
The Shiboken Generator (A.K.A. shiboken) is the plugin that creates the
PySide bindings source files from Qt headers and auxiliary files
(typesystems, global.h and glue files). This is the Python3 version.

%files -n python3-%{tarname}
%{_bindir}/%{tarname}-%{py3_ver}
%{python3_sitearch}/%{tarname}.so
%{_mandir}/man1/%{tarname}-%{py3_ver}.1.bz2

#------------------------------------------------------------------------------

%define libmajor 1
%define libname %mklibname %{name} %{libmajor}

%package -n %{libname}
Summary:        Shiboken Generator core lib
Group:          System/Libraries
Obsoletes:      %{_lib}apiextractor0 < 0.10.11
Obsoletes:      %{_lib}genrunner0 < 0.6.17

%description -n %{libname}
Shiboken Generator core lib.

%files -n %{libname}
%{_libdir}/lib%{name}-python%{py_ver}.so.%{libmajor}*

#------------------------------------------------------------------------------

%define py3libname %mklibname python3-%{tarname} %{libmajor}

%package -n %{py3libname}
Summary:        Shiboken Generator core lib
Group:          System/Libraries

%description -n %{py3libname}
Shiboken Generator core lib. This is the Python3 version.

%files -n %{py3libname}
%{_libdir}/lib%{tarname}.cpython-%{pyver_mod2}.so.%{libmajor}*

#------------------------------------------------------------------------------

%package -n python3-%{tarname}-devel
Summary:        Devel stuff for Shiboken Generator
Group:          Development/KDE and Qt
Requires:       %{py3libname} = %{version}
Requires:       python3-%{tarname} = %{version}

%description -n python3-%{tarname}-devel
Devel stuff for Shiboken Generator. This is the Python3 version.

%files -n python3-%{tarname}-devel
%{_includedir}/%{tarname}
%{_libdir}/lib%{tarname}.cpython-%{pyver_mod2}.so
%{_libdir}/pkgconfig/%{tarname}.pc
%exclude %{_libdir}/cmake/%{pyname}-%{version}/%{pyname}Config-python%{py_ver}.cmake
%{_libdir}/cmake/%{pyname}-%{version}/

#------------------------------------------------------------------------------

%package devel
Summary:        Devel stuff for Shiboken Generator
Group:          Development/KDE and Qt
Requires:       %{libname} = %{version}
Requires:       %{name} = %{version}
Obsoletes:      %{_lib}apiextractor-devel < 0.10.11
Obsoletes:      generatorrunner-devel < 0.6.17

%description devel
Devel stuff for Shiboken Generator.

%files devel
%{_includedir}/%{tarname}
%{_libdir}/lib%{tarname}-python%{py_ver}.so
%{_libdir}/pkgconfig/%{tarname}.pc
%exclude %{_libdir}/cmake/%{pyname}-%{version}/%{pyname}Config.cpython-%{pyver_mod2}.cmake
%{_libdir}/cmake/%{pyname}-%{version}/

#------------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%cmake -DUSE_PYTHON3=True
%make
popd

%cmake
%make

%install
pushd %{py3dir}
%makeinstall_std -C build
mv %{buildroot}%{_bindir}/%{tarname} %{buildroot}%{_bindir}/%{tarname}-%{py3_ver}
mv %{buildroot}%{_mandir}/man1/%{tarname}.1 %{buildroot}%{_mandir}/man1/%{tarname}-%{py3_ver}.1
popd

%makeinstall_std -C build



%changelog
* Wed Jun 24 2015 gseaman <galen.seaman at comcast.net> 1.2.2-1gseaman2015
- rebase on Mageia for python3 support
